package cn.pluss.platform.leshua;

import cn.pluss.platform.util.StringUtil;
import lombok.Data;

/**
 * @author yuchen
 * 
 * @Description 
 * 结算信息
 */
@Data
public class AccountInfo {
	
	/**
	 * 0：非法人结算1：法人结算
	 */
	private String legalFlag;
	
	/**
	 * 1：个人账户；2：公司账户
	 */
	private String type;
	
	/**
	 * 无
	 * 开户行网点(与联行号二选一必传)
	 */
	private String branch;
	
	/**
	 * 无
	 * 开户支行联行号(企业必传)
	 */
	private String unionpay;
	
	/**
	 * 无
	 * 开户名；法人结算：与法人姓名一致；企业账户：与营业执照注册名称一致
	 */
	private String holder;
	
	/**
	 * 无
	 * 结算人身份证号码(个人账户必传)
	 */
	private String idCardNo;
	
	/**
	 * 无
	 * 银行卡号
	 */
	private String bankCardNo;
	
	/**
	 * 无
	 * 银行卡正面（如是对公账户，开户许可证）
	 */
	private String bankCardFrontPic;

	public String getBankCardNo() {
		if (StringUtil.isEmpty(bankCardNo)) {
			return bankCardNo;
		}
		return bankCardNo.replaceAll("[ 　]", "");
	}

	public String getIdCardNo() {
		if (StringUtil.isEmpty(idCardNo)) {
			return idCardNo;
		}
		return idCardNo.replaceAll("[ 　]", "");
	}
}

